#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
int cvrt(char a)
{
    if(a==0)return 0;
    if(a==1)return 1;
    if(a==2)return 2;
    if(a==3)return 3;
    if(a==4)return 4;
    if(a==5)return 5;
    if(a==6)return 6;
    if(a==7)return 7;
    if(a==8)return 8;
    if(a==9)return 9;
}
int comp(string a,string b)
{
    for(int i=0;i<a.length();i++)
    {

        if(cvrt(a[i])>cvrt(b[i]))return 1;
        if(cvrt(a[i])<cvrt(b[i]))return 0;
    }

    return 1;
}
string f(ll aN,ll bN,ll cN)
{
    string a = to_string(aN);
    string b = to_string(bN);
    string c = to_string(cN);
    return a+b+c;
}
int main()
{
    ios_base::sync_with_stdio(0);
    long long a,b,c;
    cin >> a >> b >> c;
    string s[7];
    s[0]=f(a,b,c);
    s[1]=f(a,c,b);
    s[2]=f(b,a,c);
    s[3]=f(b,c,a);
    s[4]=f(c,a,b);
    s[5]=f(c,b,a);
    string best = s[0];
    for(int i=1;i<6;i++)
    {
        if(comp(s[i],best)){best=s[i];}
    }
    cout << best<<endl;
    return 0;
}